You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 

24 lines
2.5 KiB

FROM debian:buster-slim
RUN apt-get update \
&& apt-get install -y build-essential apt-transport-https lsb-release ca-certificates curl wget python3-pip rsync openssh-client zip \
&& wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg \
&& sh -c 'echo "deb https://packages.sury.org/php/ $(lsb_release -sc) main" > /etc/apt/sources.list.d/php.list' \
&& apt-get update \
&& apt-get install -y php7.4 php7.4-apcu php7.4-apcu-bc php7.4-bcmath php7.4-bz2 php7.4-cli php7.4-common php7.4-curl php7.4-fpm php7.4-gd php7.4-gmp php7.4-http php7.4-igbinary php7.4-imagick php7.4-imap php7.4-intl php7.4-json php7.4-mailparse php7.4-mbstring php7.4-memcached php7.4-mongodb php7.4-msgpack php7.4-mysql php7.4-opcache php7.4-pgsql php7.4-propro php7.4-raphf php7.4-readline php7.4-redis php7.4-soap php7.4-sqlite3 php7.4-ssh2 php7.4-xdebug php7.4-xml php7.4-xmlrpc php7.4-yaml php7.4-zip \
&& apt-get install -y libapache2-mod-php8.0 php8.0-apcu php8.0-bcmath php8.0-bz2 php8.0-cli php8.0-common php8.0-curl php8.0-fpm php8.0-gd php8.0-gmp php8.0-igbinary php8.0-imagick php8.0-imap php8.0-intl php8.0-mailparse php8.0-mbstring php8.0-memcached php8.0-mongodb php8.0-msgpack php8.0-mysql php8.0-opcache php8.0-pgsql php8.0-raphf php8.0-readline php8.0-redis php8.0-soap php8.0-sqlite3 php8.0-tidy php8.0-uuid php8.0-xdebug php8.0-xml php8.0-xsl php8.0-yaml php8.0-zip \
&& curl -fsSL https://deb.nodesource.com/setup_12.x | bash - \
&& apt-get install -y nodejs \
&& npm install --global yarn \
&& npm install --global webpack webpack-cli \
&& php7.4 -r "copy('https://getcomposer.org/installer', 'composer-setup.php');" \
&& php7.4 -r "if (hash_file('sha384', 'composer-setup.php') === '906a84df04cea2aa72f40b5f787e49f22d4c2f19492ac310e8cba5b96ac8b64115ac402c8cd292b8a03482574915d1a8') { echo 'Installer verified'; } else { echo 'Installer corrupt'; unlink('composer-setup.php'); } echo PHP_EOL;" \
&& php composer-setup.php \
&& php -r "unlink('composer-setup.php');" \
&& mv composer.phar /usr/local/bin/composer \
&& printf "#\!/bin/sh\nphp7.4 /usr/local/bin/composer \"\$@\"" > /usr/local/bin/composer-php7.4 \
&& printf "#\!/bin/sh\nphp8.0 /usr/local/bin/composer \"\$@\"" > /usr/local/bin/composer-php8.0 \
&& chmod +x /usr/local/bin/composer /usr/local/bin/composer-php7.4 /usr/local/bin/composer-php8.0 \
&& composer-php7.4 global require 'andres-montanez/magallanes:^4.0' \
&& ln -s /root/.config/composer/vendor/bin/* /usr/local/bin/ \
&& apt-get clean